- Qt 6.7
- Qt Quick 3D
- C++ Classes
- QSSGRenderExtensionHelpers
- Qt Quick 3D | Commercial or GPLv3

# QSSGRenderExtensionHelpers Class

Class containing helper functions for the extensions. More...

Header: | #include <QSSGRenderExtensionHelpers>
Since: | Qt 6.7

- List of all members, including inherited members

## Static Public Members

void | registerRenderResult(const QSSGFrameData &frameData, QSSGExtensionId extension, QRhiTexture *texture)

## Detailed Description

## Member Function Documentation

### `[static]` void QSSGRenderExtensionHelpers::registerRenderResult(const QSSGFrameData &frameData, QSSGExtensionId extension, QRhiTexture *texture)

Register a render result, in form of a texture, for this extension. Once a texture is registered, the extension can be uses as a {QtQuick3D::Texture::textureProvider}{texture provider} in QML.

Note: To ensure that the texture is available for renderables, for example to be used by a {QtQuick3D::Texture} item, textures should be registered during the QSSGRenderExtension::prepareData call of the extension.

Note: Calling this function with a new texture will any previously registered texture.

Note: A texture can be unregistered by registering a nullptr for this extension.

frameData

See also textureProvider.